set terminal x11
set title "3D Phase plot"
set xlabel "Sane Cells"
set ylabel "Ill Cells"
set zlabel "Infected Cells"
set grid
set parametric
set view ,60
set ticslevel 0
set zrange [0:400]
splot "demo-2.plt" using 4:2:3 title "speed=2" with linespoints, \
"demo-4.plt" using 4:2:3 title "speed=4" with linespoints, \
"demo-25.plt" using 4:2:3 title "speed=25" with linespoints \
"demo-50.plt" using 4:2:3 title "speed=4" with linespoints
pause -1 "[PRESS RETURN]"

set output "demo-plt.ps"
set terminal postscript eps monochrome "Helvetica" 18
replot

set terminal x11
set nogrid
set format y "%g"
set xlabel "X Cells"
set ylabel "Y Cells"
set zlabel "State"
set title "Hodge-Podge Machine - contour plot"
set contour
set cntrparam levels 5
set cntrparam bspline
set auto
set zrange [0.0:100]
set data style lines
set parametric
splot "demo-010.dmp"  using 1:2:3
pause -1 "[PRESS RETURN]"

set output "demo-cnt.ps"
set terminal postscript eps monochrome "Helvetica" 18
replot

set terminal x11
set noparametric
set samples 10000
set isosamples 10000
set hidden3d
set title "Hodge-Podge Machine - hidden line removal"
splot "demo-010.dmp" using 3
pause -1 "[PRESS RETURN]"

set output "demo-hid.ps"
set terminal postscript eps monochrome "Helvetica" 18
replot

set output "demo-hid.ppm"
set terminal ppm
replot
