;
;  hodge.pro -- IDL procedure for visualization of HODGE-C dump files
;  Copyright (C) 1993 by Uli Hermes, Frank Kursawe, Joerg Heitkoetter
;  Systems Analysis Group, LSXI, University of Dortmund, Germany.
;
;  $Id: hodge.pro,v 1.1 1993/03/15 10:37:58 joke Exp $

function zf,x,y,i

framecount=32L

nx=100L
ny=100L

q=bytarr(3L,framecount*nx*ny)
zz=bytarr(nx,ny)

spawn,'iload',unit=unit
readf,unit,q
for k=0L,nx-1L do begin
	for l=0L,ny-1L do begin
		zz(k,l)=q(2L,i*nx*ny + (k*nx+l))
	endfor
endfor
free_lun,unit

return,zz
end



pro ani,n,x,y,z,j1,ax,az

if j1 lt 0 or j1 gt 3 then j1=1

loadct,15,file='hermes.tbl'

framecount=16

nx=100L
ny=100L

xanimate,set=[n,n,framecount]

xmin= 1
xmax= nx
ymin= 1
ymax= ny
zmin= 0
zmax= 100

zr=[zmin,zmax]

xa=xmin+findgen(nx)*(xmax-xmin)/float(nx-1)
ya=ymin+findgen(ny)*(ymax-ymin)/float(ny-1)

for i=0,framecount-1 do begin
	zz=zf(xa,ya,i)
	erase

	case j1 of
	0:	surface,zz,xa,ya,xr=[xmin,xmax],yr=[ymin,ymax], $
			lines=0,zr=zr,xst=1,yst=1,zst=1,/save,ax=ax,az=az
	1:	surface,zz,xa,ya,xr=[xmin,xmax],yr=[ymin,ymax], $
			line=1,zr=zr,xst=1,yst=1,zst=1,/save,ax=ax,az=az
        2:      shade_surf,zz,xa,ya,xr=[xmin,xmax],yr=[ymin,ymax], $
                        zr=zr,xst=1,yst=1,zst=1,/save,ax=ax,az=az
	3:	begin
		sl=252-byte(float(bytscl(abs(zz)))/255.*(!d.n_colors-3)+1)
		shade_surf,zz,xa,ya,xr=[xmin,xmax],yr=[ymin,ymax], $
                        zr=zr,xst=1,yst=1,zst=1,shades=sl,/save,ax=ax,az=az
		end
	endcase

	xanimate,frame=i,window=!d.window
endfor
end


pro pl,plot_type,ax=ax1,az=az1

ax=40
if ( n_elements(ax1) ge 1 ) then ax=float(ax1(0))

az=66
if ( n_elements(ax1) ge 1 ) then az=float(az1(0))

ani,600,x,y,z,plot_type,ax,az
xanimate

end
