set terminal x11
set title "Type 1"
set xlabel "Cycles"
set ylabel "Proportion of Infected Cells"
set grid
set format y "%.02f"
set yrange [0:1]
plot "typ1.plt" using "%*d%*d%*d%*d%lf" title "percent infected" with linespoints
pause -1 "[PRESS RETURN]"

set output "typ1-plt.ps"
set terminal postscript eps monochrome "Helvetica" 18
replot

set terminal x11
set nogrid
set format y "%g"
set xlabel "X Cells"
set ylabel "Y Cells"
set zlabel "State"
set title "Hodge-Podge Machine - contour plot"
set contour
set cntrparam levels 5
set cntrparam bspline
set xrange [1:20]
set yrange [1:20]
set zrange [0.0:100]
set data style lines
set parametric
splot "typ1.dmp"  using 1:2:3
pause -1 "[PRESS RETURN]"

set output "typ1-cnt.ps"
set terminal postscript eps monochrome "Helvetica" 18
replot

set terminal x11
set noparametric
set samples 10000
set isosamples 10000
set hidden3d
set title "Hodge-Podge Machine - hidden line removal"
splot "typ1.dmp" using 3
pause -1 "[PRESS RETURN]"

set output "typ1-hid.ps"
set terminal postscript eps monochrome "Helvetica" 18
replot
